package com.build.domain.category;

import java.io.Serializable;
import java.util.List;

import net.sf.ehcache.pool.sizeof.annotations.IgnoreSizeOf;

public class CategoryItem implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer categoryId;
	private String categoryName;
	private Integer parentId;
	private String pageImage;
	private String pageImageLink;
	private String menuImage;
	private String headerName;
	private String description;
	private String headerName2;
	private String description2;
	private Boolean featured;
	private String template;
	private String sideProductsTitle;
	private String bottomProductsTitle;
	private String metaTitle;
	private String metaDescription;
	private String metaKeywords;
	private String link;
	private String linkTarget;
	private Integer dictionaryId;
	private Boolean primaryCategory;
	private String primaryCategoryAlias;
	private String primaryAlias;
	private String cssClass;
	private ViewStyle viewStyle;
	private Boolean displayListDesc;
	private Boolean displayListSpecs;
	private Boolean displayGallerySpecs;
	private Boolean metaIndex;
	private ViewType viewType;
	private String slug;
	private Integer categoryViewId;
	private Boolean leftNavLong;
	private Boolean hideRecs;
	private String canonicalUrl;

	@IgnoreSizeOf
	private CategoryItem parentCategoryItem;

	private List<CategoryItem> subCategories;

	public Integer getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(Integer categoryId) {
		this.categoryId = categoryId;
	}

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

	public Integer getParentId() {
		return parentId;
	}

	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}

	public String getPageImage() {
		return pageImage;
	}

	public void setPageImage(String pageImage) {
		this.pageImage = pageImage;
	}

	public String getPageImageLink() {
		return pageImageLink;
	}

	public void setPageImageLink(String pageImageLink) {
		this.pageImageLink = pageImageLink;
	}

	public String getMenuImage() {
		return menuImage;
	}

	public void setMenuImage(String menuImage) {
		this.menuImage = menuImage;
	}

	public String getHeaderName() {
		return headerName;
	}

	public void setHeaderName(String headerName) {
		this.headerName = headerName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getHeaderName2() {
		return headerName2;
	}

	public void setHeaderName2(String headerName2) {
		this.headerName2 = headerName2;
	}

	public String getDescription2() {
		return description2;
	}

	public void setDescription2(String description2) {
		this.description2 = description2;
	}

	public Boolean getFeatured() {
		return featured;
	}

	public void setFeatured(Boolean featured) {
		this.featured = featured;
	}

	public String getTemplate() {
		return template;
	}

	public void setTemplate(String template) {
		this.template = template;
	}

	public String getSideProductsTitle() {
		return sideProductsTitle;
	}

	public void setSideProductsTitle(String sideProductsTitle) {
		this.sideProductsTitle = sideProductsTitle;
	}

	public String getBottomProductsTitle() {
		return bottomProductsTitle;
	}

	public void setBottomProductsTitle(String bottomProductsTitle) {
		this.bottomProductsTitle = bottomProductsTitle;
	}

	public String getMetaTitle() {
		return metaTitle;
	}

	public void setMetaTitle(String metaTitle) {
		this.metaTitle = metaTitle;
	}

	public String getMetaDescription() {
		return metaDescription;
	}

	public void setMetaDescription(String metaDescription) {
		this.metaDescription = metaDescription;
	}

	public String getMetaKeywords() {
		return metaKeywords;
	}

	public void setMetaKeywords(String metaKeywords) {
		this.metaKeywords = metaKeywords;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}

	public String getLinkTarget() {
		return linkTarget;
	}

	public void setLinkTarget(String linkTarget) {
		this.linkTarget = linkTarget;
	}

	public Integer getDictionaryId() {
		return dictionaryId;
	}

	public void setDictionaryId(Integer dictionaryId) {
		this.dictionaryId = dictionaryId;
	}

	public Boolean getPrimaryCategory() {
		return primaryCategory;
	}

	public void setPrimaryCategory(Boolean primaryCategory) {
		this.primaryCategory = primaryCategory;
	}

	public String getPrimaryCategoryAlias() {
		return primaryCategoryAlias;
	}

	public void setPrimaryCategoryAlias(String primaryCategoryAlias) {
		this.primaryCategoryAlias = primaryCategoryAlias;
	}

	public String getPrimaryAlias() {
		return primaryAlias;
	}

	public void setPrimaryAlias(String primaryAlias) {
		this.primaryAlias = primaryAlias;
	}

	public String getCssClass() {
		return cssClass;
	}

	public void setCssClass(String cssClass) {
		this.cssClass = cssClass;
	}

	public ViewStyle getViewStyle() {
		return viewStyle;
	}

	public void setViewStyle(ViewStyle viewStyle) {
		this.viewStyle = viewStyle;
	}

	public Boolean getDisplayListDesc() {
		return displayListDesc;
	}

	public void setDisplayListDesc(Boolean displayListDesc) {
		this.displayListDesc = displayListDesc;
	}

	public Boolean getDisplayListSpecs() {
		return displayListSpecs;
	}

	public void setDisplayListSpecs(Boolean displayListSpecs) {
		this.displayListSpecs = displayListSpecs;
	}

	public Boolean getDisplayGallerySpecs() {
		return displayGallerySpecs;
	}

	public void setDisplayGallerySpecs(Boolean displayGallerySpecs) {
		this.displayGallerySpecs = displayGallerySpecs;
	}

	public Boolean getMetaIndex() {
		return metaIndex;
	}

	public void setMetaIndex(Boolean metaIndex) {
		this.metaIndex = metaIndex;
	}

	public ViewType getViewType() {
		return viewType;
	}

	public void setViewType(ViewType viewType) {
		this.viewType = viewType;
	}

	public String getSlug() {
		return slug;
	}

	public void setSlug(String slug) {
		this.slug = slug;
	}

	public Integer getCategoryViewId() {
		return categoryViewId;
	}

	public void setCategoryViewId(Integer categoryViewId) {
		this.categoryViewId = categoryViewId;
	}

	public Boolean getLeftNavLong() {
		return leftNavLong;
	}

	public void setLeftNavLong(Boolean leftNavLong) {
		this.leftNavLong = leftNavLong;
	}

	public Boolean getHideRecs() {
		return hideRecs;
	}

	public void setHideRecs(Boolean hideRecs) {
		this.hideRecs = hideRecs;
	}

	public String getCanonicalUrl() {
		return canonicalUrl;
	}

	public void setCanonicalUrl(String canonicalUrl) {
		this.canonicalUrl = canonicalUrl;
	}

	public CategoryItem getParentCategoryItem() {
		return parentCategoryItem;
	}

	public void setParentCategoryItem(CategoryItem parentCategoryItem) {
		this.parentCategoryItem = parentCategoryItem;
	}

	public List<CategoryItem> getSubCategories() {
		return subCategories;
	}

	public void setSubCategories(List<CategoryItem> subCategories) {
		this.subCategories = subCategories;
	}

}
